DECLARE @NewSecretTypeId INT
DECLARE @NewSecretTypeName VARCHAR (255)

SET @NewSecretTypeId = 4
SET @NewSecretTypeName = 'Combination Lock'

IF NOT EXISTS
	(
		SELECT 
			* 
		FROM 
			tbSecretType
		WHERE 
			tbSecretType.SecretTypeName = @NewSecretTypeName
	)
BEGIN
	SET IDENTITY_INSERT [dbo].[tbSecretType] ON
	INSERT INTO [dbo].[tbSecretType] (
		[SecretTypeId]
		,[SecretTypeName]
		,[ConcurrencyID]
		)
	SELECT @NewSecretTypeId, @NewSecretTypeName		, '216A0B27-CB62-4029-86FA-2FFCA9BADD7B'
	SET IDENTITY_INSERT [dbo].[tbSecretType] OFF
	
	SET IDENTITY_INSERT [dbo].[tbSecretField] ON
	INSERT INTO [dbo].[tbSecretField] (
		[SecretFieldId]
		,[SecretFieldName]
		,[SecretFieldDisplayName]
		,[SortOrder]
		,[SecretTypeID]
		,[Required]
		,[DataType]
		,[MustEncrypt]
		,[IsPassword]
		,[ConcurrencyID]
		)
	--	                                 SortOrder             Required   Encrypt IsPassword
	SELECT 11,
		'Combination', 'Combination',		1,	@NewSecretTypeId, 1, 'string' ,1,	0, '1F9BE53E-C20A-4d61-4d61-5D29E64F1117' UNION
	SELECT 12,
		'Notes', 'Notes',					2,	@NewSecretTypeId, 0, 'string' ,1,	0, '0a9BE53E-4d61-C20A-C20A-6b4cffc5c932'
	SET IDENTITY_INSERT [dbo].[tbSecretField] OFF
END

