<%@ Page language="c#" Codebehind="SecretRecent.aspx.cs" AutoEventWireup="false" Inherits="Thycotic.ihawu.Web.SecretRecent" %>
<%@ Register TagPrefix="ihawu" Namespace="Thycotic.ihawu.Web" Assembly="Thycotic.ihawu.Web" %>
<%@ Register TagPrefix="custom" Namespace="Thycotic.ihawu.Web.customcontrols" Assembly="Thycotic.ihawu.Web" %>
<%@ Register TagPrefix="thycotic" Namespace="Thycotic.Foundation.WebControls" Assembly="Thycotic.Foundation.WebControls" %>

<ihawu:masterpage id="masterPage" runat="server">
<custom:NewDialog id="DialogLarge1" runat="server" Caption="Recent Secrets" Watermark="images/water_recent.gif" >
		<thycotic:datagrid id="RecentSecretsDataGrid" runat="server" itemsname="recent secrets" >
		<columns>
			<asp:templatecolumn headertext="Secret Name" sortexpression="SecretName">
				<itemtemplate>
					<thycotic:hyperlink runat="server" id="SecretNameHyperlink"/>
				</itemtemplate>
			</asp:templatecolumn>
			<asp:templatecolumn headertext="Secret Type" sortexpression="SecretTypeName">
				<itemtemplate>
					<thycotic:label runat="server" id="SecretTypeLabel"/>
				</itemtemplate>
			</asp:templatecolumn>
			<asp:templatecolumn headertext="Created Date" sortexpression="CreatedDate">
				<itemtemplate>
					<thycotic:label runat="server" id="CreatedLabel"/>
				</itemtemplate>
			</asp:templatecolumn>
		</columns>
	</thycotic:datagrid>
	<br/>
	<thycotic:button id="BackButton" runat="server" Text="Back" />
</custom:NewDialog>

</ihawu:masterpage>
