IF NOT EXISTS
	(
		SELECT 
			* 
		FROM 
			SysObjects O 
				INNER JOIN SysColumns C ON O.ID=C.ID
		WHERE 
			ObjectProperty(O.ID,'IsUserTable')=1 
			AND 
			O.Name='tbLicense'
			AND 
			C.Name='OrganizationId'
	)
	BEGIN
		ALTER TABLE [dbo].[tbLicense] 
			ADD	[OrganizationId] [int] NULL
	END
GO

UPDATE [dbo].[tbLicense]
	SET
		[OrganizationId] = 1
	WHERE 
		[OrganizationId] IS NULL
GO

ALTER TABLE [dbo].[tbLicense] 
	ALTER COLUMN [OrganizationId] [int] NOT NULL
GO

IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[FK_tbLicense_Organization]') and OBJECTPROPERTY(id, N'IsForeignKey') = 1)
ALTER TABLE [dbo].[tbLicense] DROP CONSTRAINT FK_tbLicense_Organization
GO

ALTER TABLE [dbo].[tbLicense] ADD 
	CONSTRAINT [FK_tbLicense_Organization] FOREIGN KEY 
	(
		[OrganizationId]
	) REFERENCES [dbo].[tbOrganization] (
		[OrganizationId]
	)
GO
