<%@ Page language="c#" Codebehind="UserView.aspx.cs" AutoEventWireup="false" Inherits="Thycotic.ihawu.Web.UserView" %>
<%@ Register TagPrefix="ihawu" Namespace="Thycotic.ihawu.Web" Assembly="Thycotic.ihawu.Web" %>
<%@ Register TagPrefix="thycotic" Namespace="Thycotic.Foundation.WebControls" Assembly="Thycotic.Foundation.WebControls" %>
<%@ Register TagPrefix="ihawu_web" tagname="passwordstrength" src="~/secretusercontrols/PasswordStrength.ascx" %>
<%@ Register TagPrefix="custom" Namespace="Thycotic.ihawu.Web.customcontrols" Assembly="Thycotic.ihawu.Web" %>
<ihawu:masterpage id="masterPage" runat="server">
	<custom:newdialog id="UserDialog" caption="View User" runat="server" visible="true">
		<table>
			<tr>
				<td><thycotic:fieldlabel id="UserNameFieldLabel" runat="server" Text="User Name" /></td>
				<td>&nbsp;</td>
				<td>
					<thycotic:label id="UserNameLabel" runat="server" />
				</td>
			</tr>
			<tr>
				<td>
					<thycotic:fieldlabel id="UserTypeFieldLabel" runat="server" Text="User Type" />
				</td>
				<td>&nbsp;</td>
				<td>
					<thycotic:label id="UserTypeLabel" runat="server" />
				</td>
			</tr>
			<tr>
				<td>
					<thycotic:fieldlabel id="UserDisplayNameFieldLabel" runat="server" Text="Display Name" />
				</td>
				<td>&nbsp;</td>
				<td>
					<thycotic:label id="UserDisplayNameLabel" runat="server" />
				</td>
			</tr>
			<tr>
				<td>
					<thycotic:fieldlabel id="UserEmailFieldLabel" runat="server" Text="Email Address" />
				</td>
				<td>&nbsp;</td>
				<td>
					<thycotic:label id="UserEmailAddressLabel" runat="server" />
				</td>
			</tr>
			<tr runat="server" id="ActiveDirectoryTableRow">
				<td>
					<thycotic:fieldlabel id="UserDomainFieldLabel" runat="server" Text="Domain" />
				</td>
				<td>&nbsp;</td>
				<td>
					<thycotic:label id="UserDomainLabel" runat="server" />
				</td>
			</tr>
			<tr>
				<td>
					<thycotic:fieldlabel id="TwoFactorLabel" runat="server" Text="Two Factor" />
				</td>
				<td>&nbsp;</td>
				<td>
					<thycotic:label id="UserTwoFactor" runat="server" />
				</td>
			</tr>
			<tr>
				<td>
					<thycotic:fieldlabel id="EnabledFieldLabel" runat="server" Text="Enabled" />
				</td>
				<td>&nbsp;</td>
				<td>
					<thycotic:label id="EnabledLabel" runat="server" />
				</td>
			</tr>
			<tr>
				<td>&nbsp;</td>
			</tr>
			<tr>
				<td>
					<thycotic:fieldlabel runat="server" id="IPAddressRestrictionsLabel" text="IP Address Restrictions"  />
				</td>
			</tr>
			<thycotic:repeater id="IPAddressRangeRepeater" runat="server">
				<itemtemplate>
				<tr>
					<td>
						<thycotic:label id="IPAddressRangeLabel" runat="server" />
					</td>
				</tr>
				</itemtemplate>
			</thycotic:repeater>			
		</table>
		<br />
		<thycotic:Button runat="server" id="BackButton" Text="Back" />
		<thycotic:Button runat="server" id="EditButton" Text="Edit" />
		<thycotic:Button runat="server" id="AuditUserButton" Text="View Audit" />
		<thycotic:Button runat="server" id="ChangeRestrictionsButton" Text="Change Restrictions" />
	</custom:newdialog>
</ihawu:masterpage>
