<%@ Control Language="c#" AutoEventWireup="false" Codebehind="SecretShareView.ascx.cs" Inherits="Thycotic.ihawu.Web.secretusercontrols.SecretShareView" TargetSchema="http://schemas.microsoft.com/intellisense/ie5"%>
<%@ Register TagPrefix="thycotic" Namespace="Thycotic.Foundation.WebControls" Assembly="Thycotic.Foundation.WebControls" %>
<%@ Register TagPrefix="ihawu" Namespace="Thycotic.ihawu.Web" Assembly="Thycotic.ihawu.Web" %>
<%@ Register TagPrefix="custom" Namespace="Thycotic.ihawu.Web.customcontrols" Assembly="Thycotic.ihawu.Web" %>
<custom:newdialog id="UnauthorizedDialog" Caption="Unauthorized Access" runat="server" visible="false">
	<table>
		<tr>
			<td>
				You no longer have access to this secret. Please contact the owner of the secret.
				<br/><br/><br/>
				<thycotic:button id="UnauthorizedBackButton" runat="server" text="Back" />
			</td>
		</tr>
	</table>
</custom:newdialog>
<custom:newdialog runat="server" caption="Secret Share" id="SharedWithDialog">
	<thycotic:Label runat="Server" id="SharedWithLabel" Text="Shared With" />
	<thycotic:datagrid AllowPaging="false" id="SecretPermissionViewDataGrid" itemsname="Shares"  runat="server">
		<columns>
			<asp:templatecolumn headertext="Name">
				<itemtemplate>
					<thycotic:label id="GroupNameLabel" runat="server" />
				</itemtemplate>
			</asp:templatecolumn>
			<asp:templatecolumn headertext="View">
				<itemstyle horizontalalign="Center" />
				<itemtemplate>
				<asp:image id="ReadPermissionImage" runat="server" />
				</itemtemplate>
			</asp:templatecolumn>
			<asp:templatecolumn headertext="Edit">
				<itemstyle horizontalalign="Center" />
				<itemtemplate>
				<asp:image id="WritePermissionImage" runat="server" />
				</itemtemplate>
			</asp:templatecolumn>
			<asp:templatecolumn headertext="Share">
				<itemstyle horizontalalign="Center" />
				<itemtemplate>
				<asp:image id="SharePermissionImage" runat="server" />
				</itemtemplate>
			</asp:templatecolumn>
		</columns>
	</thycotic:datagrid>

	<br />
	<thycotic:button id="BackButton" text="Back" runat="server" />
	<span style="margin:20px 0 0 0"></span>
	<thycotic:button id="EditButton" text="Edit" runat="server" />
</custom:NewDialog>
